Debian Bug report logs - #255881
manpages: error and typo in socket(7)

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Loic Minier <lool@dooz.org>

Date: Wed, 23 Jun 2004 15:48:01 UTC

Severity: minor

Tags: fixed-upstream, upstream

Found in version 1.67-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#255881; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Loic Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loic Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: error and typo in socket(7)
Date: Wed, 23 Jun 2004 17:33:42 +0200
Package: manpages
Version: 1.67-1
Severity: minor

   Hey,

 There is an error in socket(7), in the description of the SO_REUSEADDR
 socket option: it expects an integer boolean flag which is not
 documented.

 Also, there are two small typos is the SO_KEEPALIVE socket option and
 in the FIOASYNC ioctl:
 "Expects a integer boolean flag." (Should be "an".)
 "Argument is a integer boolean flag." (Should be "an".)

   Regards,

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#255881; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 255881@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Loic Minier <lool@dooz.org>
Cc: Debian Bug Tracking System <255881@bugs.debian.org>
Subject: Re: manpages: error and typo in socket(7)
Date: Sat, 18 Dec 2004 15:36:18 +0100
Loic Minier wrote:
> Package: manpages
> Version: 1.67-1
> Severity: minor
> 
>    Hey,
> 
>  There is an error in socket(7), in the description of the SO_REUSEADDR
>  socket option: it expects an integer boolean flag which is not
>  documented.

Can you provide a proof for that?

>  Also, there are two small typos is the SO_KEEPALIVE socket option and
>  in the FIOASYNC ioctl:
>  "Expects a integer boolean flag." (Should be "an".)
>  "Argument is a integer boolean flag." (Should be "an".)

This seems to be fixed upstream already.

Regards,

	Joey

-- 
Experience is something you don't get until just after you need it.

Please always Cc to me when replying to me on the lists.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#255881; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 255881@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: 255881@bugs.debian.org
Subject: Re: manpages: error and typo in socket(7)
Date: Sat, 18 Dec 2004 16:37:23 +0100
[Message part 1 (text/plain, inline)]
Martin Schulze <joey@infodrom.org> - Sat, Dec 18, 2004:

> >  There is an error in socket(7), in the description of the SO_REUSEADDR
> >  socket option: it expects an integer boolean flag which is not
> >  documented.
> Can you provide a proof for that?

 Attached file exposes what I meant with "expects an integer boolean
 flag".  I'm sorry if I ask for the documentation of something obvious.

   Regards,

-- 
Loïc Minier <lool@dooz.org>
[so_reuseaddr.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#255881; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 255881@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sf.net>
To: 255881@bugs.debian.org
Subject: agree
Date: Thu, 21 Jul 2005 15:15:56 -0400
No, I agree, the "integer boolean flag" should be documented,
preferably by an example, and probably in setsockopt.2.

Justin



Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#255881; Package manpages. (Fri, 28 Nov 2008 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Fri, 28 Nov 2008 17:45:02 GMT) Full text and rfc822 format available.

Message #27 received at 255881@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: 255881@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re:
Date: Fri, 28 Nov 2008 12:43:41 -0500
tags 255881 fixed-upstream
thanks

Already long ago the problems mentioned in the report were
(independently) fixed upstream.  Please close this report, someone.




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Fri, 28 Nov 2008 17:45:04 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. (Sun, 11 Jan 2009 08:48:02 GMT) Full text and rfc822 format available.

Notification sent to Loic Minier <lool@dooz.org>:
Bug acknowledged by developer. (Sun, 11 Jan 2009 08:48:02 GMT) Full text and rfc822 format available.

Message #34 received at 255881-done@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 255881-done@bugs.debian.org
Subject: Re: Bug#255881:
Date: Sun, 11 Jan 2009 09:46:17 +0100
Michael Kerrisk wrote:
> tags 255881 fixed-upstream
> thanks
> 
> Already long ago the problems mentioned in the report were
> (independently) fixed upstream.  Please close this report, someone.

Fixed in the current version of manpages.

Regards,

	Joey

-- 
This is GNU/Linux Country.  On a quiet night, you can hear Windows reboot.

Please always Cc to me when replying to me on the lists.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Feb 2009 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:14:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.